> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seomator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read the Search Console connection

> status is none before a connection and error when Google no longer grants access. Read from our database only; list the properties with GET /gsc/properties.



## OpenAPI

````yaml https://api.seomator.com/openapi.json get /v1/projects/{id}/gsc
openapi: 3.1.0
info:
  title: SEOmator API
  version: 0.1.0
servers:
  - url: https://api.seomator.com
security: []
paths:
  /v1/projects/{id}/gsc:
    get:
      tags:
        - ai visibility
      summary: Read the Search Console connection
      description: >-
        status is none before a connection and error when Google no longer
        grants access. Read from our database only; list the properties with GET
        /gsc/properties.
      parameters:
        - schema:
            type: string
            description: Project id (proj_…) or slug (the domain with dots as dashes).
          required: true
          description: Project id (proj_…) or slug (the domain with dots as dashes).
          name: id
          in: path
      responses:
        '200':
          description: Connection
          content:
            application/json:
              schema:
                type: object
                properties:
                  gsc:
                    type: object
                    properties:
                      status:
                        type: string
                        enum:
                          - none
                          - active
                          - error
                      property:
                        type:
                          - string
                          - 'null'
                    required:
                      - status
                      - property
                    additionalProperties: {}
                required:
                  - gsc
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Try again later
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiKey: []
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - bad_request
                - unauthorized
                - insufficient_credits
                - plan_limit
                - forbidden
                - not_found
                - conflict
                - rate_limit_exceeded
                - internal_server_error
                - service_unavailable
            message:
              type: string
            requestId:
              type: string
          required:
            - code
            - message
      required:
        - error
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````

## Related topics

- [List the Search Console properties of the project domain and its subdomains that the connection can read](https://docs.seomator.com/api-reference/ai-visibility/list-the-search-console-properties-of-the-project-domain-and-its-subdomains-that-the-connection-can-read.md)
- [Projects: set up, track and manage a site](https://docs.seomator.com/getting-started/projects.md)
- [List the sitemaps submitted in Search Console](https://docs.seomator.com/api-reference/search-console/list-the-sitemaps-submitted-in-search-console.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.